Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface WebDeploymentMBean

All Superinterfaces:
  ConfigurationMBean, DeploymentMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

All Known Subinterfaces:
  WebAppComponentMBean, WebServiceComponentMBean

public interface WebDeploymentMBean
extends DeploymentMBean

A Web Deployment is any MBean that may be deployed on one or more target or WebServers. Deployments of this type get deployed on web servers. Any target specified through the "Targets" attribute of the deployment are deployed on the default web server of that deployment. Targets specified through the "WebServers" attribute of the deployment are specified in the targeted Web Server.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.DeploymentMBean
`DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`boolean` | `addVirtualHost(VirtualHostMBean target)` Used to add a virtual host to the list of virtual hosts to which deployments may be targeted.
`boolean` | `addWebServer(WebServerMBean target)` Deprecated. 7.0.0.0 This attribute is being replaced by VirtualHosts attribute
`VirtualHostMBean[]` | `getVirtualHosts()` Provides a means to target your deployments to specific virtual hosts.
`WebServerMBean[]` | `getWebServers()` Deprecated. 7.0.0.0 This attribute is being replaced by VirtualHosts attribute. To target an actual web server, the ComponentMBean.Targets attribute should be used.
`boolean` | `removeVirtualHost(VirtualHostMBean target)` Used to remove a virtual host from the list of virtual hosts to which deployments may be targeted.
`boolean` | `removeWebServer(WebServerMBean target)` Deprecated. 7.0.0.0 This attribute is being replaced by VirtualHosts attribute
`void` | `setDeployedVirtualHosts(VirtualHostMBean[] targets)`
`void` | `setVirtualHosts(VirtualHostMBean[] WebServers)` Sets the value of the getVirtualHosts attribute
`void` | `setWebServers(WebServerMBean[] WebServers)` Deprecated. 7.0.0.0 This attribute is being replaced by VirtualHosts attribute

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### addVirtualHost

    public boolean addVirtualHost(VirtualHostMBean target)
                           throws InvalidAttributeValueException,
                                  weblogic.management.DistributedManagementException

  Used to add a virtual host to the list of virtual hosts to which deployments may be targeted.

  Parameters:
    `target` - The feature to be added to the VirtualHost attribute
  Returns:
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  Since:
    7.0.0.0.
  A dynamic MBean attribute.

### addWebServer

    public boolean addWebServer(WebServerMBean target)
                         throws InvalidAttributeValueException,
                                weblogic.management.DistributedManagementException

  Deprecated. 7.0.0.0 This attribute is being replaced by VirtualHosts attribute

  This adds a target to the list of web servers to which a deployment may be targeted.

  Parameters:
    `target` - The feature to be added to the WebServer attribute
  Returns:
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  A dynamic MBean attribute.

### getVirtualHosts

    public VirtualHostMBean[] getVirtualHosts()

  Provides a means to target your deployments to specific virtual hosts.

  Returns:
    The virtualHosts value
  Since:
    7.0.0.0.

### getWebServers

    public WebServerMBean[] getWebServers()

  Deprecated. 7.0.0.0 This attribute is being replaced by VirtualHosts attribute. To target an actual web server, the ComponentMBean.Targets attribute should be used.

  Returns a list of the targets on which this deployment is deployed.

  Returns:
    The webServers value

### removeVirtualHost

    public boolean removeVirtualHost(VirtualHostMBean target)
                              throws weblogic.management.DistributedManagementException

  Used to remove a virtual host from the list of virtual hosts to which deployments may be targeted.

  Parameters:
    `target` -
  Returns:
  Throws:
    `weblogic.management.DistributedManagementException`
  Since:
    7.0.0.0.
  A dynamic MBean attribute.

### removeWebServer

    public boolean removeWebServer(WebServerMBean target)
                            throws weblogic.management.DistributedManagementException

  Deprecated. 7.0.0.0 This attribute is being replaced by VirtualHosts attribute

  This removes a target from the list of web servers which may be targeted for deployments.

  Parameters:
    `target` -
  Returns:
  Throws:
    `weblogic.management.DistributedManagementException`
  A dynamic MBean attribute.

### setDeployedVirtualHosts

    public void setDeployedVirtualHosts(VirtualHostMBean[] targets)

### setVirtualHosts

    public void setVirtualHosts(VirtualHostMBean[] WebServers)
                         throws InvalidAttributeValueException,
                                weblogic.management.DistributedManagementException

  Sets the value of the getVirtualHosts attribute

  Parameters:
    `WebServers` - The new virtualHosts value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  Since:
    7.0.0.0
  See Also:
    `getVirtualHosts()`
  A dynamic MBean attribute.

### setWebServers

    public void setWebServers(WebServerMBean[] WebServers)
                       throws InvalidAttributeValueException,
                              weblogic.management.DistributedManagementException

  Deprecated. 7.0.0.0 This attribute is being replaced by VirtualHosts attribute

  Set the value of the getWebServers attribute.

  Parameters:
    `WebServers` - The new webServers value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  See Also:
    `getWebServers()`
  A dynamic MBean attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD